Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder.model
Class PlaceholderModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.placeholder.model.PlaceholderModel

All Implemented Interfaces
  Serializable, Cloneable

    public class PlaceholderModel

extends XmlObjectModel

A clause model representing a placeholder from the http://www.bea.com/servers/p13n/xsd/placeholder/1.1.1 namespace. This will have children `QueryDefinitionModels`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`PlaceholderModel()`

Method Summary
`void` | `addQueryDefinitionModel(QueryDefinitionModel model)` Add a QueryDefinitionModel.
`void` | `clearCachedData()` Clear out any cached data we're holding, so we'll get it from the `Placeholder` next time.
`Model` | `copy()` Create a copy of this placeholder model.
`org.apache.xmlbeans.XmlObject` | `createNewXmlObject()` Return a new, empty Placeholder object with a new, empty ContentQuery.
`protected boolean` | `determineIsComplete()` Determine if the PlaceholderModel is currently complete.
`String` | `getDescription()` Get the placeholder description.
`boolean` | `getMixGlobals()` Get the value for mix-globals.
`String` | `getName()` Get the placeholder name.
`com.bea.p13n.placeholder.schema.Placeholder` | `getPlaceholder()` Get the underlying Placeholder object.
`QueryDefinitionModel[]` | `getQueryDefinitionModels()` Get an array of QueryDefinitionsModel.
`String` | `getType()` Get the placeholder type.
`void` | `initializeNew()` Initialize this as a new, empty placeholder model.
`boolean` | `removeQueryDefinitionModel(int index)` Remove the index'th QueryDefinitionModel.
`boolean` | `removeQueryDefinitionModel(QueryDefinitionModel model)` Remove a QueryDefinitionModel.
`void` | `setDescription(String desc)` Set the placeholder description.
`protected void` | `setIsComplete(boolean isComplete)` Override to set on our `placeholer` object also.
`void` | `setMixGlobals(boolean mix)` Set for mix-globals.
`void` | `setName(String name)` Set the placeholder name.
`void` | `setType(String type)` Set the placeholder type.
`void` | `setXmlObject(org.apache.xmlbeans.XmlObject clause)` Verify that the specified clause object is valid for this class.

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, fixQName, getApplicationInstanceUri, getChild, getCopyXmlObject, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setParent, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceholderModel

    public PlaceholderModel()

Method Detail

### setXmlObject

    public void setXmlObject(org.apache.xmlbeans.XmlObject clause)
                      throws IllegalArgumentException

  Verify that the specified clause object is valid for this class.

  Throws
    `IllegalArgumentException` - if clause is not a `Placeholder` instance.

### createNewXmlObject

    public org.apache.xmlbeans.XmlObject createNewXmlObject()

  Return a new, empty Placeholder object with a new, empty ContentQuery.

### initializeNew

    public void initializeNew()

  Initialize this as a new, empty placeholder model.

### copy

    public Model copy()

  Create a copy of this placeholder model.

  Specified by:
    `copy` in class `Model`

### clearCachedData

    public void clearCachedData()

  Clear out any cached data we're holding, so we'll get it from the `Placeholder` next time.

  Specified by:
    `clearCachedData` in class `XmlObjectModel`

### getPlaceholder

    public com.bea.p13n.placeholder.schema.Placeholder getPlaceholder()

  Get the underlying Placeholder object.

### setIsComplete

    protected void setIsComplete(boolean isComplete)

  Override to set on our `placeholer` object also.

  Overrides:
    `setIsComplete` in class `XmlObjectModel`

### determineIsComplete

    protected boolean determineIsComplete()

  Determine if the PlaceholderModel is currently complete. Placholders are complete as long as no child QueryDefition is incomplete.

  Overrides:
    `determineIsComplete` in class `XmlObjectModel`

### getName

    public String getName()

  Get the placeholder name. This will never be null; it will be empty string for no name or if not set.

### setName

    public void setName(String name)

  Set the placeholder name.

### getType

    public String getType()

  Get the placeholder type.

### setType

    public void setType(String type)

  Set the placeholder type.

### getDescription

    public String getDescription()

  Get the placeholder description.

  Returns
    the description, or null if none.

### setDescription

    public void setDescription(String desc)

  Set the placeholder description.

### getMixGlobals

    public boolean getMixGlobals()

  Get the value for mix-globals. If true, then the placeholder's `query definitions` will be mixed with any campaign-based queries when the placeholder tries to find content to display. If false, then the placeholer will first look at campaign queries only; if no content can be found from those, then it will consider the placeholder's query definitions.

### setMixGlobals

    public void setMixGlobals(boolean mix)

  Set for mix-globals.

### getQueryDefinitionModels

    public QueryDefinitionModel[] getQueryDefinitionModels()

  Get an array of QueryDefinitionsModel.

### addQueryDefinitionModel

    public void addQueryDefinitionModel(QueryDefinitionModel model)

  Add a QueryDefinitionModel.

### removeQueryDefinitionModel

    public boolean removeQueryDefinitionModel(QueryDefinitionModel model)

  Remove a QueryDefinitionModel.

### removeQueryDefinitionModel

    public boolean removeQueryDefinitionModel(int index)

  Remove the index'th QueryDefinitionModel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.